### Method

# Gck Session create_object

#### Declaration [src]

    GckObject*
    gck_session_create_object (
      GckSession* self,
      GckAttributes* attrs,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Create a new PKCS#11 object. This call may block for an indefinite period.

If the `attrs` `GckAttributes` is floating, it is consumed.

#### Parameters

`attrs` | `GckAttributes`
| The attributes to create the object with.
| The data is owned by the caller of the function.
`cancellable` | `GCancellable`
| Optional cancellation object, or `NULL`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `GckObject`
| The newly created object or `NULL` if an error occurred.
| The caller of the method takes ownership of the data, and is responsible for freeing it.